Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteVersionAmountLimitTable

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteVersionAmountLimitTable

extends java.rmi.Remote

Interface `RemoteVersionAmountTable` contains version amount records in the report server.

Method Summary
`void` | `commit()` Commits changes into the disk.
`void` | `disableVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user)` Disables the maximum number of versions by the catalog and the report.
`int` | `getVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user)` Gets the maximum number of versions by the catalog and the report.
`void` | `setVersionAmount(java.lang.String catalog, java.lang.String report, java.lang.String user, int amount)` Sets the maximum number of versions by the catalog and the report.

Method Detail

### getVersionAmount

    int getVersionAmount(java.lang.String catalog,
                         java.lang.String report,
                         java.lang.String user)
                         throws java.rmi.RemoteException,
                                RptServerException

  Gets the maximum number of versions by the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    the maximum number of versions of the report.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### setVersionAmount

    void setVersionAmount(java.lang.String catalog,
                          java.lang.String report,
                          java.lang.String user,
                          int amount)
                          throws java.rmi.RemoteException,
                                 RptServerException

  Sets the maximum number of versions by the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `user` - the user id, for example, admin
    `amount` - the maximum number of versions of the report.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### disableVersionAmount

    void disableVersionAmount(java.lang.String catalog,
                              java.lang.String report,
                              java.lang.String user)
                              throws java.rmi.RemoteException,
                                     RptServerException

  Disables the maximum number of versions by the catalog and the report.

  Parameters:
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `user` - the user id, for example, admin
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### commit

    void commit()
                throws java.rmi.RemoteException,
                       RptServerException

  Commits changes into the disk.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD